Subject: ssh error 'The descriptor is a file, not a socket'
From: Kris Huber <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 1 Nov 2001 16:30:28 -0700

Hello,

I'm trying to use cygwin's sshd to allow my Linux box to log into my win98
computer using the 'ssh host' command.  The authentication goes OK, but
after 'entering interactive session' I get the following error on the client
side:
	'getpeername failed: The descriptor is a file, not a socket'

I've also seen 'getsockname failed: The descriptor is a file, not a socket'
with some variations of the ssh command options.

On the server side, running with 'sshd -d -d -d' I see debugging messages,
what I think is the possibly-relevant part is at the end of this message.  I
notice some 'unsupported opcode' errors after 'session_pty_req' that seem
suspect, but I'm not sure really what to look for:
	'Ignoring unsupported tty mode opcode 52 (0x34)'
	'Ignoring unsupported tty mode opcode 62 (0x3e)'

I noticed a message from Jeff where he has the same error with a recent
snapshot version of OpenSSH.  I am running OpenSSH_2.9.9p2 and Cygwin 1.3.3.

Thanks for any help,
Kris

P.S.  Here's the other sshd debugging output that may be relevant:
debug1: session_new: init
debug1: session_new: session 0
debug1: Allocating pty.
debug1: session_pty_req: session 0 alloc /dev/tty1
debug3: tty_parse_modes: ospeed 38400
debug3: tty_parse_modes: ispeed 38400
debug3: tty_parse_modes: 1 3
debug3: tty_parse_modes: 2 28
debug3: tty_parse_modes: 3 127
debug3: tty_parse_modes: 4 21
debug3: tty_parse_modes: 5 4
debug3: tty_parse_modes: 6 0
debug3: tty_parse_modes: 7 255
debug3: tty_parse_modes: 8 17
debug3: tty_parse_modes: 9 19
debug3: tty_parse_modes: 10 26
debug3: tty_parse_modes: 12 18
debug3: tty_parse_modes: 13 127
debug3: tty_parse_modes: 14 22
debug3: tty_parse_modes: 18 15
debug3: tty_parse_modes: 30 0
debug3: tty_parse_modes: 31 0
debug3: tty_parse_modes: 32 0
debug3: tty_parse_modes: 33 0
debug3: tty_parse_modes: 34 0
debug3: tty_parse_modes: 35 0
debug3: tty_parse_modes: 36 1
debug3: tty_parse_modes: 37 0
debug3: tty_parse_modes: 38 1
debug3: tty_parse_modes: 39 1
debug3: tty_parse_modes: 40 0
debug3: tty_parse_modes: 41 1
debug3: tty_parse_modes: 50 1
debug3: tty_parse_modes: 51 1
debug1: Ignoring unsupported tty mode opcode 52 (0x34)
debug3: tty_parse_modes: 53 1
debug3: tty_parse_modes: 54 1
debug3: tty_parse_modes: 55 0
debug3: tty_parse_modes: 56 0
debug3: tty_parse_modes: 57 0
debug3: tty_parse_modes: 58 0
debug3: tty_parse_modes: 59 1
debug3: tty_parse_modes: 60 1
debug3: tty_parse_modes: 61 1
debug1: Ignoring unsupported tty mode opcode 62 (0x3e)
debug3: tty_parse_modes: 70 1
debug3: tty_parse_modes: 71 0
debug3: tty_parse_modes: 72 1
debug3: tty_parse_modes: 73 0
debug3: tty_parse_modes: 74 0
debug3: tty_parse_modes: 75 0
debug3: tty_parse_modes: 90 1
debug3: tty_parse_modes: 91 1
debug3: tty_parse_modes: 92 0
debug3: tty_parse_modes: 93 0
debug1: Entering interactive session.
debug1: fd 3 setting O_NONBLOCK
debug1: fd 7 setting O_NONBLOCK
debug1: server_init_dispatch_13
debug1: server_init_dispatch_15
debug1: Received SIGCHLD.
debug3: tvp!=NULL kid 1 mili 10
debug3: tvp!=NULL kid 1 mili 100
debug1: End of interactive session; stdin 0, stdout (read 206, sent 206),
stderr 0 bytes.
debug1: Command exited with status 255.
debug1: Received exit confirmation.
debug1: session_close: session 0 pid 497213
debug1: session_pty_cleanup: session 0 release /dev/tty1
syslogin_perform_logout: logout() returned an error

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/